<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list/list_mem.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_48c61abad44e2f181b0a6a33afb59c17.html">list</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">list_mem.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="list_2basic__list_8h_source.html">basic_list.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="list__mem_8h_source.html">list_mem.h</a>&quot;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for list_mem.c:</div>
<div class="dyncontent">
<div class="center"><img src="list__mem_8c__incl.png" border="0" usemap="#list_2list__mem_8c" alt=""/></div>
<map name="list_2list__mem_8c" id="list_2list__mem_8c">
<area shape="rect" id="node2" href="list_2basic__list_8h.html" title="basic_list.h" alt="" coords="12,155,100,181"/>
<area shape="rect" id="node5" href="list__mem_8h.html" title="list_mem.h" alt="" coords="94,80,181,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a36f0723f1f137c01b8e9f4f075db8080"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list__mem_8c.html#a36f0723f1f137c01b8e9f4f075db8080">list_mem_init</a> (<a class="el" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a> *self, void *node_mem, size_t node_num, size_t node_size)</td></tr>
<tr class="separator:a36f0723f1f137c01b8e9f4f075db8080"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c03ac658bfca8b8cb244202a62e640f"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list__mem_8c.html#a4c03ac658bfca8b8cb244202a62e640f">list_mem_alloc</a> (<a class="el" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a> *self)</td></tr>
<tr class="separator:a4c03ac658bfca8b8cb244202a62e640f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65f04d73b73b04184a8f7f4231854cd0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="list__mem_8c.html#a65f04d73b73b04184a8f7f4231854cd0">list_mem_free</a> (<a class="el" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a> *self, void *node)</td></tr>
<tr class="separator:a65f04d73b73b04184a8f7f4231854cd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a4c03ac658bfca8b8cb244202a62e640f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c03ac658bfca8b8cb244202a62e640f">&#9670;&nbsp;</a></span>list_mem_alloc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* list_mem_alloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a> *&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65f04d73b73b04184a8f7f4231854cd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65f04d73b73b04184a8f7f4231854cd0">&#9670;&nbsp;</a></span>list_mem_free()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void list_mem_free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a> *&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36f0723f1f137c01b8e9f4f075db8080"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36f0723f1f137c01b8e9f4f075db8080">&#9670;&nbsp;</a></span>list_mem_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void list_mem_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="list__mem_8h.html#a483fc0fc358317ad2576e2ede80c3d03">list_mem_t</a> *&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>node_mem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>node_num</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>node_size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
